<?php
require_once ("../../config/Cado.php");
require_once ("cUnidad.php");
$oUnidad = new cUnidad();
$dts=$oUnidad->mostrarTodos();
$num_rows= mysqli_num_rows($dts);
//mysqli_free_result($dts);
?>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:5px;">
	
					<div class="table-responsive">
		
				
					<table id="tabla_unidad" class="table table-bordered table-striped">
						<thead>
							<tr>
								<th>NOMBRE</th>
								<th>ABREVIATURA</th>
								<th align="right">FACTOR</th>
								<th align="right">ID</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<?php
						if($num_rows>0){
							?>
							<tbody>
								<?php
								$dts1=$oUnidad->mostrar_tipo();
								while($dt1 = mysqli_fetch_array($dts1)){	
									?>
									<tr>
										<th colspan="5" valign="bottom">
											<strong>
												<?php 
												switch ($dt1['tb_unidad_tip']) {
													case 0:
													echo "Sin clasificar";
													break;
													case 1:
													echo "UNIDAD BASE";
													break;
													case 2:
													echo "UNIDAD ALTERNATIVA";
													break;
												}
												?>
											</strong>
										</th>
									</tr>
									<?php	
									$dts=$oUnidad->mostrar_por_tipo($dt1['tb_unidad_tip']);
									while($dt = mysqli_fetch_array($dts)){
										?>
										<tr>
											<td><?php echo $dt['tb_unidad_nom']?></td>
											<td><?php echo $dt['tb_unidad_abr']?></td>
											<td align="right"><?php echo $dt['tb_unidad_fac']?></td>
											<td align="right"><?php echo $dt['tb_unidad_id']?></td>
											<td align="center">
	<?php if ($_SESSION['usuariogrupo_id']=='1'){ ?>		
	<button class="btn btn-sm btn-primary" onClick="unidad_form('editar','<?php echo $dt['tb_unidad_id']?>')" ><i class="fas fa-edit"></i></button>
	<button class="btn btn-sm btn-primary" onClick="eliminar_unidad('<?php echo $dt['tb_unidad_id']?>')" ><i class="fas fa-trash"></i></button>
	<?php } ?>								
											</td>
										</tr>
										<?php
									}
									mysqli_free_result($dts);
									?>
									<tr>
										<td colspan="5">&nbsp;</td>
									</tr>
									<?php
								}
								mysqli_free_result($dts1);
								?>
							</tbody>
							<?php }?>
						</table>
					
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<script type="text/javascript">
		 $(function(){ 
    	
	  $('#tabla_unidad').DataTable({
 
        "language": {
                "lengthMenu": "Mostrar _MENU_ registros",
                "zeroRecords": "No se encontraron resultados",
                "info": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                "sSearch": "Buscar:",
                "oPaginate": {
                    "sFirst": "Primero",
                    "sLast":"Último",
                    "sNext":"Siguiente",
                    "sPrevious": "Anterior"
			     },
			     "sProcessing":"Procesando...",
            }
    });  
	
  });
	</script>